package com.massa.mrules.droolsfight.tests.java;

import com.massa.mrules.droolsfight.beans.MeasureBean;
import com.massa.mrules.droolsfight.beans.MeasureError;

public class RuleDatesOk implements IRule {

	@Override
	public void test(MeasureBean data) {
		if (data.getMeasure().getStartDate() == null || data.getMeasure().getEndDate() == null) {
			data.addError(new MeasureError("DatesOk", "Dates are not present.", true));
		} else if (data.getMeasure().getEndDate().before(data.getMeasure().getStartDate())) {
			data.addError(new MeasureError("DatesOk", "End date before start date.", true));
		}
	}
}
